// JabAppDlg.h : header file
//

#if !defined(AFX_JABAPPDLG_H__9071B169_E68A_4526_BA68_1F30946DCC03__INCLUDED_)
#define AFX_JABAPPDLG_H__9071B169_E68A_4526_BA68_1F30946DCC03__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CJabEventsSink;

/////////////////////////////////////////////////////////////////////////////
// CJabAppDlg dialog
#include "chatdlg.h"
class CJabAppDlg : public CDialog
{
	DECLARE_DYNAMIC(CJabAppDlg);
	friend class CJabEventsSink;

// Construction
public:
	void setResponse(CString msg);
	void sendMessage(CString msg);
	CJabAppDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CJabAppDlg();

// Dialog Data
	//{{AFX_DATA(CJabAppDlg)
	enum { IDD = IDD_JABAPP_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CJabAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CJabEventsSink* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	//{{AFX_MSG(CJabAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnLogon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString m_toJID;
	CChatDlg* chatwindow ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_JABAPPDLG_H__9071B169_E68A_4526_BA68_1F30946DCC03__INCLUDED_)
